:root {
    --primary-color: #152440;
    --primary-color-light: #ABBFE3;
    --secondary-color: #abbae3;
    --primary-text-color: #ffffff;
    --primary-color-20: rgba(21, 36, 64, 0.2);
    --highlight-color: rgba(202, 0, 0, 1);
}

html {
    font-size: 14px;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.btn:focus, .btn:active:focus, .btn-link.nav-link:focus, .form-control:focus, .form-check-input:focus {
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem #258cfb;
}

html {
    position: relative;
    min-height: 100%;
}

body {
    /*margin-bottom: 60px;*/
    scroll-padding-top: 80px;
    padding-top: 80px;
}

body, nav,
.modal-content,
.modal-body {
    background-color: #ffffff;
    color: #000000;
}

/*++++++++++++++++++ general ++++++++++++++++++*/
a {
    text-decoration: none;
    color: inherit;
}

i {
    color: inherit !important;
    display: inline-block;
}

    i.good {
        color: green !important;
    }

    i.bad {
        color: darkred !important;
    }

    i.warning {
        color: orange !important;
    }

.light-theme {
    display: block;
}

.dark-theme {
    display: none;
}

.container-height {
    height: 100%;
    width: auto;
}

a:hover .highlight-show {
    display: inline-block !important;
}

/*++++++++++++++++++ icons/indicators ++++++++++++++++++*/
.fa-stack i:first-child {
    color: #000000 !important;
}

.fa-stack i:last-child {
    color: #ffffff !important;
    font-size: 1.2em;
}

.status-icon {
    font-size: 0.75em;
    padding: 3px 10px;
    border-radius: 50em;
    display: inline-block;
}

    .status-icon.information {
        background-color: darkblue !important;
        color: #ffffff !important;
    }

    .status-icon.good {
        background-color: green !important;
        color: #ffffff !important;
    }

    .status-icon.bad {
        background-color: darkred !important;
        color: #ffffff !important;
    }

    .status-icon.warning {
        background-color: orange !important;
        color: #000000 !important;
    }

.checklist-indicator {
    font-size: 0.8em;
    padding: 5px 10px;
    border-radius: 5px;
}

    .checklist-indicator.good {
        background-color: darkgreen;
        color: #ffffff;
    }

    .checklist-indicator.bad {
        background-color: lightgrey;
        color: #000000;
    }
/*++++++++++++++++++ table ++++++++++++++++++*/
.table > :not(caption) > * > * {
    border: none !important;
}

table, table.table {
    color: inherit !important;
}

td.center, th.center {
    text-align: center;
}

td.left, th.left {
    text-align: start;
}

td.right, th.right {
    text-align: end;
}

td, td.middle, th.middle {
    vertical-align: middle;
}

    td.nowrap,
    th.nowrap {
        white-space: nowrap;
    }

tbody > tr:hover {
    background-color: rgba(6, 4, 38,0.1);
}

table.clickable tbody tr:hover {
    cursor: pointer;
}

table thead, .sticky-top {
    position: sticky !important;
    top: 63px;
    background-color: #ffffff !important;
}

.sticky-0 {
    top: 0px;
}

.modal table thead {
    top: 0px;
    background-color: #ffffff !important;
}

/*++++++++++++++++++ menu and alerts ++++++++++++++++++*/
.dropdown-menu {
    border-radius: 10px !important;
    border: none !important;
    box-shadow: 0 4px 8px 0 var(--primary-color-20), 0 6px 20px 0 var(--primary-color-20);
}

.nav-link, .dropdown-item {
    color: inherit !important;
}

    .nav-link.active {
        border-bottom: 2px solid var(--primary-color);
    }

    .dropdown-item.active {
        background-color: var(--primary-color);
    }

.logo-icon {
    max-height: 25px;
    margin: auto auto;
}

.toast {
    background-color: rgb(6, 4, 38) !important;
    color: #ffffff !important;
}

    .toast.error {
        background-color: rgb(138, 0, 0) !important;
        color: #ffffff !important;
    }

/*++++++++++++++++++ inputs ++++++++++++++++++*/
.form-control, .form-select {
    background-color: inherit !important;
    color: inherit !important;
}

input:disabled:hover, select:disabled:hover {
    cursor: not-allowed;
}

td .form-control, td .form-select {
    border: none !important;
}

    td .form-control:invalid, td .form-select:invalid {
        border: 2px solid red !important;
    }

td > input[type="number"] {
    text-align: center !important;
}

select.readonly {
    pointer-events: none;
}

    select.readonly:hover {
        cursor: not-allowed !important;
    }

tr.inactive {
    background-color: rgba(255,0,0,0.2);
}

    tr.inactive input, tr.inactive select {
        pointer-events: none;
        cursor: not-allowed;
    }

div:has(> select.readonly) {
    cursor: not-allowed;
}
/*++++++++++++++++++ buttons ++++++++++++++++++*/
.button {
    width: 100%;
    max-width: 300px;
    background-color: rgb(25, 14, 135);
    color: #ffffff;
    border-radius: 5px;
    border: solid rgb(25, 14, 135) 3px;
    padding: 5px 10px;
}

    .button:hover {
        background-color: #ffffff;
        color: rgb(25, 14, 135);
    }

    .button:disabled:hover, button:disabled:hover {
        cursor: not-allowed;
    }

    .button.secondary {
        background-color: grey;
        border-color: grey;
        color: #ffffff;
    }

    .button.icon {
        width: initial;
        padding: 2px;
    }

.button-option {
    font-size: 0.8em;
    padding: 5px 10px;
    border-radius: 10px;
    color: #ffffff;
    background-color: #0070C0;
    border: none;
}

a.button {
    display: inline-block;
}

.button-add-new, .button-back {
    background-color: rgb(25, 14, 135);
    color: #ffffff;
    border-radius: 5px;
    border: solid rgb(25, 14, 135) 3px;
    padding: 3px 15px;
}

    .button-add-new:hover, .button-back:hover {
        background-color: #ffffff;
        color: rgb(25, 14, 135);
    }

.action {
    cursor: pointer;
}

/*++++++++++++++++++ google ++++++++++++++++++*/
.gsi-material-button {
    -moz-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    -webkit-appearance: none;
    background-color: WHITE;
    background-image: none;
    border: 1px solid #747775;
    -webkit-border-radius: 20px;
    border-radius: 20px;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    color: #1f1f1f;
    cursor: pointer;
    font-family: 'Roboto', arial, sans-serif;
    font-size: 14px;
    height: 40px;
    letter-spacing: 0.25px;
    outline: none;
    overflow: hidden;
    padding: 0 12px;
    position: relative;
    text-align: center;
    -webkit-transition: background-color .218s, border-color .218s, box-shadow .218s;
    transition: background-color .218s, border-color .218s, box-shadow .218s;
    vertical-align: middle;
    white-space: nowrap;
    width: auto;
    max-width: 400px;
    min-width: min-content;
}

    .gsi-material-button .gsi-material-button-icon {
        height: 20px;
        margin-right: 12px;
        min-width: 20px;
        width: 20px;
    }

    .gsi-material-button .gsi-material-button-content-wrapper {
        -webkit-align-items: center;
        align-items: center;
        display: flex;
        -webkit-flex-direction: row;
        flex-direction: row;
        -webkit-flex-wrap: nowrap;
        flex-wrap: nowrap;
        height: 100%;
        justify-content: space-between;
        position: relative;
        width: 100%;
    }

    .gsi-material-button .gsi-material-button-contents {
        -webkit-flex-grow: 1;
        flex-grow: 1;
        font-family: 'Roboto', arial, sans-serif;
        font-weight: 500;
        overflow: hidden;
        text-overflow: ellipsis;
        vertical-align: top;
    }

    .gsi-material-button .gsi-material-button-state {
        -webkit-transition: opacity .218s;
        transition: opacity .218s;
        bottom: 0;
        left: 0;
        opacity: 0;
        position: absolute;
        right: 0;
        top: 0;
    }

    .gsi-material-button:disabled {
        cursor: default;
        background-color: #ffffff61;
        border-color: #1f1f1f1f;
    }

        .gsi-material-button:disabled .gsi-material-button-contents {
            opacity: 38%;
        }

        .gsi-material-button:disabled .gsi-material-button-icon {
            opacity: 38%;
        }

    .gsi-material-button:not(:disabled):active .gsi-material-button-state,
    .gsi-material-button:not(:disabled):focus .gsi-material-button-state {
        background-color: #303030;
        opacity: 12%;
    }

    .gsi-material-button:not(:disabled):hover {
        -webkit-box-shadow: 0 1px 2px 0 rgba(60, 64, 67, .30), 0 1px 3px 1px rgba(60, 64, 67, .15);
        box-shadow: 0 1px 2px 0 rgba(60, 64, 67, .30), 0 1px 3px 1px rgba(60, 64, 67, .15);
    }

        .gsi-material-button:not(:disabled):hover .gsi-material-button-state {
            background-color: #303030;
            opacity: 8%;
        }

@media (prefers-color-scheme: dark) {
    body, nav,
    .modal-content,
    .modal-body {
        background-color: rgb(6, 4, 38);
        color: #ffffff;
    }

    .modal-content {
        box-shadow: 0 4px 8px 0 rgba(255,255,255,0.2), 0 6px 20px 0 rgba(255,255,255,0.2);
    }

    .light-theme {
        display: none;
    }

    .dark-theme {
        display: block;
    }

    option {
        background-color: rgb(6, 4, 38) !important;
        color: #ffffff !important;
    }

    /*++++++++++++++++++ table ++++++++++++++++++*/
    tbody > tr:hover {
        background-color: rgba(255,255,255,0.1);
    }

    table thead {
        background-color: rgb(6, 4, 38) !important;
    }

    .modal table thead {
        background-color: rgb(6, 4, 38) !important;
    }

    table thead, .sticky-top {
        background-color: rgb(6, 4, 38) !important;
    }
    /*++++++++++++++++++ menu and alerts ++++++++++++++++++*/
    .dropdown-menu {
        border-radius: 10px !important;
        border: none !important;
        box-shadow: 0 4px 8px 0 rgba(255,255,255,0.2), 0 6px 20px 0 rgba(255,255,255,0.2);
        background-color: rgb(6, 4, 38);
        color: #ffffff;
    }

    .dropdown-item:hover {
        background-color: #ffffff;
        color: #000000 !important;
    }

    .navbar-toggler-icon {
        color: #ffffff !important;
    }

    .toast {
        background-color: #ffffff !important;
        color: rgb(6, 4, 38) !important;
    }

    .btn-close {
        filter: invert(1) grayscale(100%) brightness(200%);
    }
    /*++++++++++++++++++ inputs ++++++++++++++++++*/
    select.form-select {
        background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16'%3e%3cpath fill='none' stroke='%23ffffff' stroke-linecap='round' stroke-linejoin='round' stroke-width='2' d='m2 5 6 6 6-6'/%3e%3c/svg%3e") !important;
        background-repeat: no-repeat !important;
    }

    .form-control {
        color-scheme: dark !important;
    }

    /*++++++++++++++++++ icons ++++++++++++++++++*/
    .fa-stack i:first-child {
        color: #ffffff !important;
    }

    .fa-stack i:last-child {
        color: #000000 !important;
        font-size: 1.2em;
    }
    /*++++++++++++++++++ buttons ++++++++++++++++++*/
    .button {
        width: 100%;
        background-color: #ffffff;
        color: #000000;
        border-radius: 5px;
        border: solid #ffffff 3px;
        padding: 5px 10px;
    }

        .button:hover {
            background-color: rgb(25, 14, 135);
            border-color: rgb(25, 14, 135);
            color: #ffffff;
        }

        .button:disabled:hover {
            cursor: not-allowed;
        }

    .button-add-new, .button-back {
        background-color: #ffffff;
        color: #000000 !important;
        border-radius: 5px;
        border: solid rgb(25, 14, 135) 3px;
        padding: 3px 15px;
    }

        .button-add-new:hover, .button-back:hover {
            background-color: rgb(25, 14, 135) !important;
            color: #ffffff !important;
            cursor: pointer;
        }

    /*++++++++++++++++++ google ++++++++++++++++++*/
    .gsi-material-button {
        -moz-user-select: none;
        -webkit-user-select: none;
        -ms-user-select: none;
        -webkit-appearance: none;
        background-color: #131314;
        background-image: none;
        border: 1px solid #747775;
        -webkit-border-radius: 20px;
        border-radius: 20px;
        -webkit-box-sizing: border-box;
        box-sizing: border-box;
        color: #e3e3e3;
        cursor: pointer;
        font-family: 'Roboto', arial, sans-serif;
        font-size: 14px;
        height: 40px;
        letter-spacing: 0.25px;
        outline: none;
        overflow: hidden;
        padding: 0 12px;
        position: relative;
        text-align: center;
        -webkit-transition: background-color .218s, border-color .218s, box-shadow .218s;
        transition: background-color .218s, border-color .218s, box-shadow .218s;
        vertical-align: middle;
        white-space: nowrap;
        width: auto;
        max-width: 400px;
        min-width: min-content;
        border-color: #8e918f;
    }

        .gsi-material-button .gsi-material-button-icon {
            height: 20px;
            margin-right: 12px;
            min-width: 20px;
            width: 20px;
        }

        .gsi-material-button .gsi-material-button-content-wrapper {
            -webkit-align-items: center;
            align-items: center;
            display: flex;
            -webkit-flex-direction: row;
            flex-direction: row;
            -webkit-flex-wrap: nowrap;
            flex-wrap: nowrap;
            height: 100%;
            justify-content: space-between;
            position: relative;
            width: 100%;
        }

        .gsi-material-button .gsi-material-button-contents {
            -webkit-flex-grow: 1;
            flex-grow: 1;
            font-family: 'Roboto', arial, sans-serif;
            font-weight: 500;
            overflow: hidden;
            text-overflow: ellipsis;
            vertical-align: top;
        }

        .gsi-material-button .gsi-material-button-state {
            -webkit-transition: opacity .218s;
            transition: opacity .218s;
            bottom: 0;
            left: 0;
            opacity: 0;
            position: absolute;
            right: 0;
            top: 0;
        }

        .gsi-material-button:disabled {
            cursor: default;
            background-color: #13131461;
            border-color: #8e918f1f;
        }

            .gsi-material-button:disabled .gsi-material-button-state {
                background-color: #e3e3e31f;
            }

            .gsi-material-button:disabled .gsi-material-button-contents {
                opacity: 38%;
            }

            .gsi-material-button:disabled .gsi-material-button-icon {
                opacity: 38%;
            }

        .gsi-material-button:not(:disabled):active .gsi-material-button-state,
        .gsi-material-button:not(:disabled):focus .gsi-material-button-state {
            background-color: white;
            opacity: 12%;
        }

        .gsi-material-button:not(:disabled):hover {
            -webkit-box-shadow: 0 1px 2px 0 rgba(60, 64, 67, .30), 0 1px 3px 1px rgba(60, 64, 67, .15);
            box-shadow: 0 1px 2px 0 rgba(60, 64, 67, .30), 0 1px 3px 1px rgba(60, 64, 67, .15);
        }

            .gsi-material-button:not(:disabled):hover .gsi-material-button-state {
                background-color: white;
                opacity: 8%;
            }
}
